Subject: Re: bug#52122: mv: deletes src file on error

From: Frank Busse <[email-masked]>
Date: Fri, 26 Nov 2021 12:23:52 +0000

On Fri, 26 Nov 2021 12:05:21 +0000
Chris Elvidge <[email-masked]> wrote:

> Is your USB stick (V)FAT(32) (or similar) formatted?

It's FAT32.

> > The error is fine but mv deletes /src/foo and keeps mnt/dst/foo,
> > meaning that the data of the new file is lost. Is this the intended
> > behaviour? I'm using Coreutils 9.0.
> 
> Didn't reproduce this (as root).
> mv (GNU coreutils) 8.32.179-c7577

I tried it several times with checking the timestamps/md5sums of the
files but after remounting the stick it doesn't happen anymore?! I
guess it was a hiccup somewhere else in the system, sorry.

Kind regards,

Frank